org.apache.commons.lang3.function

## Interface FailableLongConsumer<E extends Throwable>

- Type Parameters:
    `E` - Thrown exception.
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface FailableLongConsumer<E extends Throwable>

  A functional interface like `LongConsumer` that declares a `Throwable`.
  Since:
    3.11

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FailableLongConsumer` | `NOP` NOP singleton

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(long object)` Accepts the consumer.
    `default FailableLongConsumer<E>` | `andThen(FailableLongConsumer<E> after)` Returns a composed `FailableLongConsumer` like `LongConsumer.andThen(LongConsumer)`.
    `static <E extends Throwable> FailableLongConsumer<E>` | `nop()` Returns The NOP singleton.

- - ### Field Detail

    - #### NOP

          static final FailableLongConsumer NOP

      NOP singleton

  - ### Method Detail

    - #### nop

          static <E extends Throwable> FailableLongConsumer<E> nop()

      Returns The NOP singleton.
      Type Parameters:
        `E` - Thrown exception.
      Returns:
        The NOP singleton.

    - #### accept

          void accept(long object)
               throws E extends Throwable

      Accepts the consumer.
      Parameters:
        `object` - the parameter for the consumable to accept
      Throws:
        `E` - Thrown when the consumer fails.
        `E extends Throwable`

    - #### andThen

          default FailableLongConsumer<E> andThen(FailableLongConsumer<E> after)

      Returns a composed `FailableLongConsumer` like `LongConsumer.andThen(LongConsumer)`.
      Parameters:
        `after` - the operation to perform after this one.
      Returns:
        a composed `FailableLongConsumer` like `LongConsumer.andThen(LongConsumer)`.
      Throws:
        `NullPointerException` - if `after` is null

Copyright © 2001–2020 The Apache Software Foundation. All rights reserved.